---
# Cop supports --autocorrect.
Style/IfUnlessModifier:
  Exclude:
    - 'app/controllers/concerns/uploads_actions.rb'
    - 'app/controllers/concerns/wiki_actions.rb'
    - 'app/controllers/concerns/with_performance_bar.rb'
    - 'app/controllers/explore/projects_controller.rb'
    - 'app/controllers/groups/application_controller.rb'
    - 'app/controllers/groups/group_members_controller.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/import/fogbugz_controller.rb'
    - 'app/controllers/import/gitea_controller.rb'
    - 'app/controllers/import/gitlab_controller.rb'
    - 'app/controllers/import/manifest_controller.rb'
    - 'app/controllers/omniauth_callbacks_controller.rb'
    - 'app/controllers/profiles/emails_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/projects/application_controller.rb'
    - 'app/controllers/projects/blame_controller.rb'
    - 'app/controllers/projects/blob_controller.rb'
    - 'app/controllers/projects/branches_controller.rb'
    - 'app/controllers/projects/commits_controller.rb'
    - 'app/controllers/projects/cycle_analytics_controller.rb'
    - 'app/controllers/projects/design_management/designs_controller.rb'
    - 'app/controllers/projects/imports_controller.rb'
    - 'app/controllers/projects/issues_controller.rb'
    - 'app/controllers/projects/merge_requests/diffs_controller.rb'
    - 'app/controllers/projects/merge_requests_controller.rb'
    - 'app/controllers/projects/pipelines/tests_controller.rb'
    - 'app/controllers/projects/protected_refs_controller.rb'
    - 'app/controllers/projects/releases_controller.rb'
    - 'app/controllers/projects/runners_controller.rb'
    - 'app/controllers/projects_controller.rb'
    - 'app/controllers/registrations_controller.rb'
    - 'app/controllers/repositories/git_http_controller.rb'
    - 'app/controllers/repositories/lfs_api_controller.rb'
    - 'app/controllers/repositories/lfs_storage_controller.rb'
    - 'app/controllers/sessions_controller.rb'
    - 'app/controllers/users/terms_controller.rb'
    - 'app/finders/autocomplete/users_finder.rb'
    - 'app/finders/ci/auth_job_finder.rb'
    - 'app/finders/ci/pipelines_finder.rb'
    - 'app/finders/ci/runners_finder.rb'
    - 'app/finders/deployments_finder.rb'
    - 'app/finders/design_management/versions_finder.rb'
    - 'app/finders/feature_flags_finder.rb'
    - 'app/finders/feature_flags_user_lists_finder.rb'
    - 'app/finders/group_members_finder.rb'
    - 'app/finders/group_projects_finder.rb'
    - 'app/finders/labels_finder.rb'
    - 'app/finders/members_finder.rb'
    - 'app/finders/metrics/users_starred_dashboards_finder.rb'
    - 'app/finders/notes_finder.rb'
    - 'app/finders/packages/helm/packages_finder.rb'
    - 'app/finders/personal_access_tokens_finder.rb'
    - 'app/finders/projects/export_job_finder.rb'
    - 'app/finders/projects/members/effective_access_level_finder.rb'
    - 'app/finders/projects_finder.rb'
    - 'app/finders/prometheus_metrics_finder.rb'
    - 'app/finders/todos_finder.rb'
    - 'app/finders/union_finder.rb'
    - 'app/graphql/mutations/admin/sidekiq_queues/delete_jobs.rb'
    - 'app/graphql/mutations/boards/lists/base_update.rb'
    - 'app/graphql/mutations/issues/set_crm_contacts.rb'
    - 'app/graphql/mutations/packages/destroy_file.rb'
    - 'app/graphql/mutations/release_asset_links/create.rb'
    - 'app/graphql/mutations/release_asset_links/delete.rb'
    - 'app/graphql/mutations/release_asset_links/update.rb'
    - 'app/graphql/mutations/todos/mark_all_done.rb'
    - 'app/graphql/resolvers/blobs_resolver.rb'
    - 'app/graphql/resolvers/concerns/board_item_filterable.rb'
    - 'app/graphql/resolvers/concerns/time_frame_arguments.rb'
    - 'app/graphql/resolvers/project_pipeline_resolver.rb'
    - 'app/graphql/resolvers/timelog_resolver.rb'
    - 'app/graphql/types/ci/job_type.rb'
    - 'app/helpers/admin/user_actions_helper.rb'
    - 'app/helpers/blob_helper.rb'
    - 'app/helpers/button_helper.rb'
    - 'app/helpers/ci/status_helper.rb'
    - 'app/helpers/dashboard_helper.rb'
    - 'app/helpers/diff_helper.rb'
    - 'app/helpers/dropdowns_helper.rb'
    - 'app/helpers/emails_helper.rb'
    - 'app/helpers/events_helper.rb'
    - 'app/helpers/form_helper.rb'
    - 'app/helpers/groups_helper.rb'
    - 'app/helpers/issuables_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/helpers/lazy_image_tag_helper.rb'
    - 'app/helpers/markup_helper.rb'
    - 'app/helpers/merge_requests_helper.rb'
    - 'app/helpers/nav/top_nav_helper.rb'
    - 'app/helpers/nav_helper.rb'
    - 'app/helpers/page_layout_helper.rb'
    - 'app/helpers/preferences_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/releases_helper.rb'
    - 'app/helpers/reminder_emails_helper.rb'
    - 'app/helpers/routing/artifacts_helper.rb'
    - 'app/helpers/search_helper.rb'
    - 'app/helpers/snippets_helper.rb'
    - 'app/helpers/sorting_helper.rb'
    - 'app/helpers/submodule_helper.rb'
    - 'app/helpers/tab_helper.rb'
    - 'app/helpers/timeboxes_helper.rb'
    - 'app/helpers/webpack_helper.rb'
    - 'app/helpers/wiki_helper.rb'
    - 'app/helpers/x509_helper.rb'
    - 'app/mailers/emails/members.rb'
    - 'app/mailers/emails/merge_requests.rb'
    - 'app/models/ability.rb'
    - 'app/models/appearance.rb'
    - 'app/models/application_setting_implementation.rb'
    - 'app/models/broadcast_message.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/ci/application_record.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_trace_chunk.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/pending_build.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci/running_build.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/clusters/clusters_hierarchy.rb'
    - 'app/models/clusters/platforms/kubernetes.rb'
    - 'app/models/commit.rb'
    - 'app/models/commit_range.rb'
    - 'app/models/concerns/atomic_internal_id.rb'
    - 'app/models/concerns/avatarable.rb'
    - 'app/models/concerns/bulk_insert_safe.rb'
    - 'app/models/concerns/bulk_insertable_associations.rb'
    - 'app/models/concerns/bulk_users_by_email_load.rb'
    - 'app/models/concerns/cache_markdown_field.rb'
    - 'app/models/concerns/ci/artifactable.rb'
    - 'app/models/concerns/deprecated_assignee.rb'
    - 'app/models/concerns/group_descendant.rb'
    - 'app/models/concerns/has_wiki_page_meta_attributes.rb'
    - 'app/models/concerns/ignorable_columns.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/issuable_link.rb'
    - 'app/models/concerns/issue_available_features.rb'
    - 'app/models/concerns/mentionable.rb'
    - 'app/models/concerns/noteable.rb'
    - 'app/models/concerns/routable.rb'
    - 'app/models/concerns/sha_attribute.rb'
    - 'app/models/concerns/timebox.rb'
    - 'app/models/concerns/token_authenticatable_strategies/base.rb'
    - 'app/models/concerns/token_authenticatable_strategies/digest.rb'
    - 'app/models/concerns/token_authenticatable_strategies/encrypted.rb'
    - 'app/models/concerns/token_authenticatable_strategies/encryption_helper.rb'
    - 'app/models/container_registry/event.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/customer_relations/contact.rb'
    - 'app/models/diff_viewer/base.rb'
    - 'app/models/environment.rb'
    - 'app/models/error_tracking/project_error_tracking_setting.rb'
    - 'app/models/external_pull_request.rb'
    - 'app/models/generic_commit_status.rb'
    - 'app/models/grafana_integration.rb'
    - 'app/models/group.rb'
    - 'app/models/integrations/asana.rb'
    - 'app/models/integrations/base_chat_notification.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/integrations/pushover.rb'
    - 'app/models/issue.rb'
    - 'app/models/issue_email_participant.rb'
    - 'app/models/label_note.rb'
    - 'app/models/list.rb'
    - 'app/models/member.rb'
    - 'app/models/members/group_member.rb'
    - 'app/models/members/project_member.rb'
    - 'app/models/members_preloader.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/milestone.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespaces/traversal/linear.rb'
    - 'app/models/network/graph.rb'
    - 'app/models/note.rb'
    - 'app/models/notification_setting.rb'
    - 'app/models/operations/feature_flags/strategy.rb'
    - 'app/models/packages/conan/file_metadatum.rb'
    - 'app/models/packages/conan/metadatum.rb'
    - 'app/models/packages/dependency.rb'
    - 'app/models/packages/go/module.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/packages/pypi/metadatum.rb'
    - 'app/models/packages/rubygems/metadatum.rb'
    - 'app/models/pages_domain.rb'
    - 'app/models/project.rb'
    - 'app/models/project_team.rb'
    - 'app/models/projects/topic.rb'
    - 'app/models/releases/link.rb'
    - 'app/models/remote_mirror.rb'
    - 'app/models/repository.rb'
    - 'app/models/route.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/snippet_input_action.rb'
    - 'app/models/state_note.rb'
    - 'app/models/suggestion.rb'
    - 'app/models/synthetic_note.rb'
    - 'app/models/user.rb'
    - 'app/models/wiki.rb'
    - 'app/models/work_items/parent_link.rb'
    - 'app/policies/project_policy.rb'
    - 'app/presenters/blob_presenter.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/serializers/base_discussion_entity.rb'
    - 'app/serializers/ci/pipeline_entity.rb'
    - 'app/serializers/issue_entity.rb'
    - 'app/serializers/merge_request_diff_entity.rb'
    - 'app/serializers/pipeline_serializer.rb'
    - 'app/services/application_settings/update_service.rb'
    - 'app/services/authorized_project_update/find_records_due_for_refresh_service.rb'
    - 'app/services/auto_merge/merge_when_pipeline_succeeds_service.rb'
    - 'app/services/award_emojis/add_service.rb'
    - 'app/services/award_emojis/destroy_service.rb'
    - 'app/services/badges/update_service.rb'
    - 'app/services/boards/issues/list_service.rb'
    - 'app/services/boards/issues/move_service.rb'
    - 'app/services/boards/lists/base_create_service.rb'
    - 'app/services/boards/lists/list_service.rb'
    - 'app/services/branches/validate_new_service.rb'
    - 'app/services/ci/create_web_ide_terminal_service.rb'
    - 'app/services/ci/job_token_scope/remove_project_service.rb'
    - 'app/services/ci/parse_dotenv_artifact_service.rb'
    - 'app/services/ci/pipeline_processing/atomic_processing_service.rb'
    - 'app/services/ci/register_job_service.rb'
    - 'app/services/ci/retry_job_service.rb'
    - 'app/services/ci/run_scheduled_build_service.rb'
    - 'app/services/ci/runners/reconcile_existing_runner_versions_service.rb'
    - 'app/services/ci/runners/register_runner_service.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/clusters/update_service.rb'
    - 'app/services/commits/commit_patch_service.rb'
    - 'app/services/commits/create_service.rb'
    - 'app/services/commits/tag_service.rb'
    - 'app/services/concerns/merge_requests/assigns_merge_params.rb'
    - 'app/services/dependency_proxy/group_settings/update_service.rb'
    - 'app/services/dependency_proxy/image_ttl_group_policies/update_service.rb'
    - 'app/services/design_management/copy_design_collection/queue_service.rb'
    - 'app/services/discussions/resolve_service.rb'
    - 'app/services/discussions/update_diff_position_service.rb'
    - 'app/services/draft_notes/create_service.rb'
    - 'app/services/draft_notes/destroy_service.rb'
    - 'app/services/emails/create_service.rb'
    - 'app/services/environments/canary_ingress/update_service.rb'
    - 'app/services/environments/reset_auto_stop_service.rb'
    - 'app/services/error_tracking/collect_error_service.rb'
    - 'app/services/git/process_ref_changes_service.rb'
    - 'app/services/google_cloud/generate_pipeline_service.rb'
    - 'app/services/groups/create_service.rb'
    - 'app/services/groups/transfer_service.rb'
    - 'app/services/groups/update_statistics_service.rb'
    - 'app/services/ide/base_config_service.rb'
    - 'app/services/import/bitbucket_server_service.rb'
    - 'app/services/issuable/bulk_update_service.rb'
    - 'app/services/issuable/common_system_notes_service.rb'
    - 'app/services/issuable_base_service.rb'
    - 'app/services/issuable_links/create_service.rb'
    - 'app/services/issues/move_service.rb'
    - 'app/services/issues/relative_position_rebalancing_service.rb'
    - 'app/services/issues/update_service.rb'
    - 'app/services/lfs/lock_file_service.rb'
    - 'app/services/members/destroy_service.rb'
    - 'app/services/merge_requests/add_context_service.rb'
    - 'app/services/merge_requests/base_service.rb'
    - 'app/services/merge_requests/build_service.rb'
    - 'app/services/merge_requests/merge_base_service.rb'
    - 'app/services/merge_requests/mergeability_check_service.rb'
    - 'app/services/merge_requests/push_options_handler_service.rb'
    - 'app/services/merge_requests/refresh_service.rb'
    - 'app/services/merge_requests/squash_service.rb'
    - 'app/services/merge_requests/update_service.rb'
    - 'app/services/metrics/dashboard/clone_dashboard_service.rb'
    - 'app/services/metrics/dashboard/update_dashboard_service.rb'
    - 'app/services/milestones/close_service.rb'
    - 'app/services/milestones/create_service.rb'
    - 'app/services/milestones/promote_service.rb'
    - 'app/services/milestones/reopen_service.rb'
    - 'app/services/milestones/update_service.rb'
    - 'app/services/notes/quick_actions_service.rb'
    - 'app/services/notes/update_service.rb'
    - 'app/services/notification_recipients/builder/base.rb'
    - 'app/services/notification_recipients/builder/default.rb'
    - 'app/services/notification_service.rb'
    - 'app/services/packages/create_dependency_service.rb'
    - 'app/services/packages/create_package_service.rb'
    - 'app/services/packages/debian/create_distribution_service.rb'
    - 'app/services/packages/debian/extract_changes_metadata_service.rb'
    - 'app/services/packages/debian/parse_debian822_service.rb'
    - 'app/services/packages/debian/update_distribution_service.rb'
    - 'app/services/packages/go/create_package_service.rb'
    - 'app/services/packages/go/sync_packages_service.rb'
    - 'app/services/packages/maven/find_or_create_package_service.rb'
    - 'app/services/packages/nuget/update_package_from_metadata_service.rb'
    - 'app/services/packages/pypi/create_package_service.rb'
    - 'app/services/pages/migrate_legacy_storage_to_deployment_service.rb'
    - 'app/services/post_receive_service.rb'
    - 'app/services/projects/container_repository/gitlab/delete_tags_service.rb'
    - 'app/services/projects/container_repository/third_party/delete_tags_service.rb'
    - 'app/services/projects/create_service.rb'
    - 'app/services/projects/enable_deploy_key_service.rb'
    - 'app/services/projects/fork_service.rb'
    - 'app/services/projects/git_deduplication_service.rb'
    - 'app/services/projects/hashed_storage/rollback_service.rb'
    - 'app/services/projects/import_export/export_service.rb'
    - 'app/services/projects/import_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_download_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_link_service.rb'
    - 'app/services/projects/operations/update_service.rb'
    - 'app/services/projects/overwrite_project_service.rb'
    - 'app/services/projects/participants_service.rb'
    - 'app/services/projects/transfer_service.rb'
    - 'app/services/projects/update_repository_storage_service.rb'
    - 'app/services/protected_branches/cache_service.rb'
    - 'app/services/resource_access_tokens/create_service.rb'
    - 'app/services/snippets/create_service.rb'
    - 'app/services/snippets/destroy_service.rb'
    - 'app/services/snippets/repository_validation_service.rb'
    - 'app/services/spam/spam_action_service.rb'
    - 'app/services/spam/spam_verdict_service.rb'
    - 'app/services/system_notes/issuables_service.rb'
    - 'app/services/tags/destroy_service.rb'
    - 'app/services/users/approve_service.rb'
    - 'app/services/users/build_service.rb'
    - 'app/services/users/respond_to_terms_service.rb'
    - 'app/services/wikis/create_attachment_service.rb'
    - 'app/services/work_items/task_list_reference_removal_service.rb'
    - 'app/services/work_items/task_list_reference_replacement_service.rb'
    - 'app/uploaders/file_mover.rb'
    - 'app/uploaders/object_storage.rb'
    - 'app/validators/abstract_path_validator.rb'
    - 'app/validators/addressable_url_validator.rb'
    - 'app/validators/any_field_validator.rb'
    - 'app/validators/certificate_key_validator.rb'
    - 'app/validators/certificate_validator.rb'
    - 'app/validators/cluster_name_validator.rb'
    - 'app/validators/cron_freeze_period_timezone_validator.rb'
    - 'app/validators/json_schema_validator.rb'
    - 'app/validators/key_restriction_validator.rb'
    - 'app/validators/line_code_validator.rb'
    - 'app/validators/named_ecdsa_key_validator.rb'
    - 'app/validators/rsa_key_validator.rb'
    - 'app/validators/top_level_group_validator.rb'
    - 'app/views/projects/merge_requests/index.atom.builder'
    - 'app/workers/authorized_project_update/user_refresh_from_replica_worker.rb'
    - 'app/workers/auto_devops/disable_worker.rb'
    - 'app/workers/concerns/application_worker.rb'
    - 'app/workers/concerns/packages/cleanup_artifact_worker.rb'
    - 'app/workers/concerns/project_start_import.rb'
    - 'app/workers/concerns/worker_attributes.rb'
    - 'app/workers/file_hook_worker.rb'
    - 'app/workers/google_cloud/create_cloudsql_instance_worker.rb'
    - 'app/workers/issues/rebalancing_worker.rb'
    - 'app/workers/merge_request_mergeability_check_worker.rb'
    - 'app/workers/projects/import_export/relation_export_worker.rb'
    - 'app/workers/remove_expired_members_worker.rb'
    - 'app/workers/repository_fork_worker.rb'
    - 'app/workers/repository_update_remote_mirror_worker.rb'
    - 'config/application.rb'
    - 'config/initializers/01_active_record_database_tasks_configuration_flag.rb'
    - 'config/initializers/01_secret_token.rb'
    - 'config/initializers/0_inject_enterprise_edition_module.rb'
    - 'config/initializers/1_settings.rb'
    - 'config/initializers/6_validations.rb'
    - 'config/initializers/8_devise.rb'
    - 'config/initializers/active_record_transaction_patches.rb'
    - 'config/initializers/default_url_options.rb'
    - 'config/initializers/direct_upload_support.rb'
    - 'config/initializers/doorkeeper.rb'
    - 'config/initializers/geo.rb'
    - 'config/initializers/google_api_client.rb'
    - 'config/initializers/jira.rb'
    - 'config/initializers/kaminari_active_record_relation_methods_with_limit.rb'
    - 'config/initializers/remove_active_job_execute_callback.rb'
    - 'config/initializers/seed_fu.rb'
    - 'config/initializers/stackprof.rb'
    - 'config/initializers/validate_database_config.rb'
    - 'config/initializers_before_autoloader/002_sidekiq.rb'
    - 'config/routes.rb'
    - 'danger/database/Dangerfile'
    - 'danger/pipeline/Dangerfile'
    - 'danger/z_metadata/Dangerfile'
    - 'db/migrate/20220324175325_add_key_data_to_secure_files.rb'
    - 'db/post_migrate/20220523171107_drop_deploy_tokens_token_column.rb'
    - 'ee/app/components/namespaces/storage/limit_alert_component.rb'
    - 'ee/app/controllers/admin/elasticsearch_controller.rb'
    - 'ee/app/controllers/admin/emails_controller.rb'
    - 'ee/app/controllers/admin/geo/application_controller.rb'
    - 'ee/app/controllers/admin/geo/projects_controller.rb'
    - 'ee/app/controllers/admin/geo/settings_controller.rb'
    - 'ee/app/controllers/admin/push_rules_controller.rb'
    - 'ee/app/controllers/concerns/credentials_inventory_actions.rb'
    - 'ee/app/controllers/concerns/ee/membership_actions.rb'
    - 'ee/app/controllers/concerns/group_invite_members.rb'
    - 'ee/app/controllers/ee/admin/application_settings_controller.rb'
    - 'ee/app/controllers/ee/groups/group_members_controller.rb'
    - 'ee/app/controllers/ee/groups_controller.rb'
    - 'ee/app/controllers/ee/projects/issues_controller.rb'
    - 'ee/app/controllers/ee/projects/settings/operations_controller.rb'
    - 'ee/app/controllers/ee/projects_controller.rb'
    - 'ee/app/controllers/ee/root_controller.rb'
    - 'ee/app/controllers/groups/billings_controller.rb'
    - 'ee/app/controllers/groups/hooks_controller.rb'
    - 'ee/app/controllers/groups/push_rules_controller.rb'
    - 'ee/app/controllers/profiles/billings_controller.rb'
    - 'ee/app/controllers/projects/integrations/zentao/issues_controller.rb'
    - 'ee/app/controllers/projects/path_locks_controller.rb'
    - 'ee/app/controllers/projects/push_rules_controller.rb'
    - 'ee/app/controllers/projects/settings/slacks_controller.rb'
    - 'ee/app/finders/security/pipeline_vulnerabilities_finder.rb'
    - 'ee/app/finders/security/vulnerabilities_finder.rb'
    - 'ee/app/graphql/mutations/audit_events/external_audit_event_destinations/create.rb'
    - 'ee/app/graphql/mutations/audit_events/external_audit_event_destinations/destroy.rb'
    - 'ee/app/graphql/mutations/boards/scoped_board_mutation.rb'
    - 'ee/app/graphql/mutations/iterations/update.rb'
    - 'ee/app/graphql/mutations/projects/set_locked.rb'
    - 'ee/app/graphql/resolvers/analytics/devops_adoption/enabled_namespaces_resolver.rb'
    - 'ee/app/graphql/resolvers/app_sec/dast/profile_resolver.rb'
    - 'ee/app/graphql/resolvers/boards/epic_lists_resolver.rb'
    - 'ee/app/graphql/resolvers/iterations/cadences_resolver.rb'
    - 'ee/app/helpers/billing_plans_helper.rb'
    - 'ee/app/helpers/ee/dashboard_helper.rb'
    - 'ee/app/helpers/ee/integrations_helper.rb'
    - 'ee/app/helpers/ee/issues_helper.rb'
    - 'ee/app/helpers/ee/labels_helper.rb'
    - 'ee/app/helpers/ee/merge_requests_helper.rb'
    - 'ee/app/helpers/ee/notes_helper.rb'
    - 'ee/app/helpers/ee/personal_access_tokens_helper.rb'
    - 'ee/app/helpers/ee/projects/pipeline_helper.rb'
    - 'ee/app/helpers/ee/projects_helper.rb'
    - 'ee/app/models/allowed_email_domain.rb'
    - 'ee/app/models/app_sec/fuzzing/coverage/corpus.rb'
    - 'ee/app/models/concerns/ee/protected_ref_access.rb'
    - 'ee/app/models/concerns/elastic/application_versioned_search.rb'
    - 'ee/app/models/concerns/geo/verifiable_replicator.rb'
    - 'ee/app/models/concerns/security/scan_execution_policy.rb'
    - 'ee/app/models/dast_site_profile.rb'
    - 'ee/app/models/ee/application_setting.rb'
    - 'ee/app/models/ee/ci/job_artifact.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/group_member.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/models/ee/key.rb'
    - 'ee/app/models/ee/list.rb'
    - 'ee/app/models/ee/milestone_release.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/project_feature.rb'
    - 'ee/app/models/ee/project_team.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/geo/project_registry.rb'
    - 'ee/app/models/geo/tracking_base.rb'
    - 'ee/app/models/incident_management/escalation_rule.rb'
    - 'ee/app/models/ip_restriction.rb'
    - 'ee/app/models/iteration.rb'
    - 'ee/app/models/merge_requests/external_status_check.rb'
    - 'ee/app/models/requirements_management/requirement.rb'
    - 'ee/app/models/requirements_management/test_report.rb'
    - 'ee/app/models/vulnerabilities/finding.rb'
    - 'ee/app/presenters/dast/site_profile_presenter.rb'
    - 'ee/app/presenters/ee/merge_request_presenter.rb'
    - 'ee/app/serializers/ee/blob_entity.rb'
    - 'ee/app/serializers/linked_epic_issue_entity.rb'
    - 'ee/app/serializers/vulnerabilities/finding_serializer.rb'
    - 'ee/app/services/analytics/cycle_analytics/aggregator_service.rb'
    - 'ee/app/services/analytics/cycle_analytics/validations.rb'
    - 'ee/app/services/app_sec/dast/pipelines/find_latest_service.rb'
    - 'ee/app/services/app_sec/dast/profiles/build_config_service.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_associations_service.rb'
    - 'ee/app/services/app_sec/dast/scan_configs/build_service.rb'
    - 'ee/app/services/app_sec/dast/scanner_profiles/destroy_service.rb'
    - 'ee/app/services/app_sec/dast/scanner_profiles/update_service.rb'
    - 'ee/app/services/app_sec/dast/site_profile_secret_variables/create_or_update_service.rb'
    - 'ee/app/services/app_sec/dast/site_profile_secret_variables/destroy_service.rb'
    - 'ee/app/services/app_sec/dast/site_profiles/destroy_service.rb'
    - 'ee/app/services/app_sec/dast/site_profiles/update_service.rb'
    - 'ee/app/services/app_sec/fuzzing/api/ci_configuration_create_service.rb'
    - 'ee/app/services/auto_merge/add_to_merge_train_when_pipeline_succeeds_service.rb'
    - 'ee/app/services/billable_members/destroy_service.rb'
    - 'ee/app/services/boards/epic_boards/create_service.rb'
    - 'ee/app/services/boards/epic_boards/update_service.rb'
    - 'ee/app/services/boards/epics/create_service.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/ci/subscribe_bridge_service.rb'
    - 'ee/app/services/ci/sync_reports_to_approval_rules_service.rb'
    - 'ee/app/services/compliance_management/frameworks/create_service.rb'
    - 'ee/app/services/compliance_management/merge_requests/create_compliance_violations_service.rb'
    - 'ee/app/services/deployments/auto_rollback_service.rb'
    - 'ee/app/services/dora/aggregate_metrics_service.rb'
    - 'ee/app/services/ee/alert_management/alerts/update_service.rb'
    - 'ee/app/services/ee/allowed_email_domains/update_service.rb'
    - 'ee/app/services/ee/audit_event_service.rb'
    - 'ee/app/services/ee/boards/base_service.rb'
    - 'ee/app/services/ee/boards/issues/move_service.rb'
    - 'ee/app/services/ee/ci/runners/reset_registration_token_service.rb'
    - 'ee/app/services/ee/commits/create_service.rb'
    - 'ee/app/services/ee/deploy_keys/create_service.rb'
    - 'ee/app/services/ee/groups/update_service.rb'
    - 'ee/app/services/ee/ip_restrictions/update_service.rb'
    - 'ee/app/services/ee/issuable_base_service.rb'
    - 'ee/app/services/ee/issues/base_service.rb'
    - 'ee/app/services/ee/merge_requests/refresh_service.rb'
    - 'ee/app/services/ee/merge_requests/update_service.rb'
    - 'ee/app/services/ee/milestones/update_service.rb'
    - 'ee/app/services/ee/notes/update_service.rb'
    - 'ee/app/services/ee/projects/create_service.rb'
    - 'ee/app/services/ee/projects/destroy_service.rb'
    - 'ee/app/services/ee/protected_branches/create_service.rb'
    - 'ee/app/services/ee/todo_service.rb'
    - 'ee/app/services/ee/users/update_service.rb'
    - 'ee/app/services/elastic/cluster_reindexing_service.rb'
    - 'ee/app/services/elastic/indexing_control_service.rb'
    - 'ee/app/services/elastic/process_bookkeeping_service.rb'
    - 'ee/app/services/epics/base_service.rb'
    - 'ee/app/services/epics/create_service.rb'
    - 'ee/app/services/epics/epic_links/create_service.rb'
    - 'ee/app/services/epics/epic_links/update_service.rb'
    - 'ee/app/services/epics/update_dates_service.rb'
    - 'ee/app/services/epics/update_service.rb'
    - 'ee/app/services/external_status_checks/create_service.rb'
    - 'ee/app/services/geo/file_registry_removal_service.rb'
    - 'ee/app/services/geo/metrics_update_service.rb'
    - 'ee/app/services/geo/move_repository_service.rb'
    - 'ee/app/services/geo/prune_event_log_service.rb'
    - 'ee/app/services/gitlab_subscriptions/plan_upgrade_service.rb'
    - 'ee/app/services/groups/memberships/export_service.rb'
    - 'ee/app/services/groups/update_repository_storage_service.rb'
    - 'ee/app/services/incident_management/incidents/upload_metric_service.rb'
    - 'ee/app/services/iterations/cadences/create_iterations_in_advance_service.rb'
    - 'ee/app/services/iterations/cadences/create_service.rb'
    - 'ee/app/services/iterations/cadences/destroy_service.rb'
    - 'ee/app/services/iterations/cadences/update_service.rb'
    - 'ee/app/services/iterations/delete_service.rb'
    - 'ee/app/services/merge_requests/update_blocks_service.rb'
    - 'ee/app/services/merge_trains/refresh_merge_request_service.rb'
    - 'ee/app/services/projects/mark_for_deletion_service.rb'
    - 'ee/app/services/projects/update_mirror_service.rb'
    - 'ee/app/services/resource_events/change_weight_service.rb'
    - 'ee/app/services/security/dependency_list_service.rb'
    - 'ee/app/services/security/orchestration/assign_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/on_demand_scan_pipeline_configuration_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/policy_configuration_validation_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/process_policy_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/project_create_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/validate_policy_service.rb'
    - 'ee/app/services/slash_commands/global_slack_handler.rb'
    - 'ee/app/services/start_pull_mirroring_service.rb'
    - 'ee/app/services/system_notes/epics_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/services/users/captcha_challenge_service.rb'
    - 'ee/app/services/vulnerabilities/base_service.rb'
    - 'ee/app/services/vulnerabilities/create_service.rb'
    - 'ee/app/services/vulnerabilities/historical_statistics/adjustment_service.rb'
    - 'ee/app/services/vulnerabilities/statistics/adjustment_service.rb'
    - 'ee/app/services/vulnerability_external_issue_links/create_service.rb'
    - 'ee/app/services/vulnerability_feedback/create_service.rb'
    - 'ee/app/services/vulnerability_feedback/destroy_service.rb'
    - 'ee/app/services/vulnerability_feedback_module/update_service.rb'
    - 'ee/app/validators/host_validator.rb'
    - 'ee/app/validators/password/complexity_validator.rb'
    - 'ee/app/workers/app_sec/dast/profile_schedule_worker.rb'
    - 'ee/app/workers/audit_events/audit_event_streaming_worker.rb'
    - 'ee/app/workers/concerns/elastic/migration_helper.rb'
    - 'ee/app/workers/ee/ci/build_finished_worker.rb'
    - 'ee/app/workers/elastic/project_transfer_worker.rb'
    - 'ee/app/workers/epics/new_epic_issue_worker.rb'
    - 'ee/app/workers/geo/secondary/registry_consistency_worker.rb'
    - 'ee/app/workers/security/orchestration_policy_rule_schedule_namespace_worker.rb'
    - 'ee/db/geo/migrate/20170627195211_add_index_to_project_registry.rb'
    - 'ee/db/geo/migrate/20180402170913_add_missing_on_primary_to_job_artifact_registry..rb'
    - 'ee/elastic/migrate/20220119120500_populate_commit_permissions_in_main_index.rb'
    - 'ee/lib/api/merge_request_approval_rules.rb'
    - 'ee/lib/api/protected_environments.rb'
    - 'ee/lib/audit/details.rb'
    - 'ee/lib/banzai/filter/references/iteration_reference_filter.rb'
    - 'ee/lib/ee/api/entities/epic.rb'
    - 'ee/lib/ee/api/entities/experiment.rb'
    - 'ee/lib/ee/api/geo.rb'
    - 'ee/lib/ee/api/groups.rb'
    - 'ee/lib/ee/api/helpers/award_emoji.rb'
    - 'ee/lib/ee/api/helpers/variables_helpers.rb'
    - 'ee/lib/ee/api/internal/base.rb'
    - 'ee/lib/ee/api/merge_request_approvals.rb'
    - 'ee/lib/ee/api/settings.rb'
    - 'ee/lib/ee/container_registry/client.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/access.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/group.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules_check_progress.rb'
    - 'ee/lib/ee/gitlab/checks/diff_check.rb'
    - 'ee/lib/ee/gitlab/checks/push_rules/tag_check.rb'
    - 'ee/lib/ee/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'ee/lib/ee/gitlab/git_access_wiki.rb'
    - 'ee/lib/ee/gitlab/quick_actions/epic_actions.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_actions.rb'
    - 'ee/lib/ee/gitlab/repository_size_checker.rb'
    - 'ee/lib/ee/gitlab/usage_data.rb'
    - 'ee/lib/ee/sidebars/groups/menus/settings_menu.rb'
    - 'ee/lib/ee/sidebars/projects/menus/analytics_menu.rb'
    - 'ee/lib/ee/sidebars/projects/menus/security_compliance_menu.rb'
    - 'ee/lib/elastic/latest/custom_language_analyzers.rb'
    - 'ee/lib/elastic/latest/git_class_proxy.rb'
    - 'ee/lib/elastic/latest/git_instance_proxy.rb'
    - 'ee/lib/gitlab/auth/group_saml/session_enforcer.rb'
    - 'ee/lib/gitlab/authority_analyzer.rb'
    - 'ee/lib/gitlab/ci/reports/dependency_list/dependency.rb'
    - 'ee/lib/gitlab/ci/reports/dependency_list/report.rb'
    - 'ee/lib/gitlab/code_owners/file.rb'
    - 'ee/lib/gitlab/code_owners/groups_loader.rb'
    - 'ee/lib/gitlab/custom_file_templates.rb'
    - 'ee/lib/gitlab/elastic/indexer.rb'
    - 'ee/lib/gitlab/geo/git_ssh_proxy.rb'
    - 'ee/lib/gitlab/geo/health_check.rb'
    - 'ee/lib/gitlab/geo/log_cursor/daemon.rb'
    - 'ee/lib/gitlab/geo/log_cursor/events/repository_deleted_event.rb'
    - 'ee/lib/gitlab/geo/oauth/logout_token.rb'
    - 'ee/lib/gitlab/geo/replication/blob_downloader.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/graphql/aggregations/epics/lazy_epic_aggregate.rb'
    - 'ee/lib/gitlab/graphql/aggregations/issuables/lazy_links_aggregate.rb'
    - 'ee/lib/gitlab/graphql/aggregations/security_orchestration_policies/lazy_dast_profile_aggregate.rb'
    - 'ee/lib/gitlab/graphql/aggregations/vulnerabilities/lazy_user_notes_count_aggregate.rb'
    - 'ee/lib/gitlab/graphql/aggregations/vulnerability_statistics/lazy_aggregate.rb'
    - 'ee/lib/gitlab/graphql/loaders/bulk_epic_aggregate_loader.rb'
    - 'ee/lib/gitlab/ip_restriction/enforcer.rb'
    - 'ee/lib/gitlab/path_locks_finder.rb'
    - 'ee/lib/gitlab/sitemaps/generator.rb'
    - 'ee/lib/gitlab/usage/metrics/instrumentations/count_ci_builds_metric.rb'
    - 'ee/lib/gitlab/usage/metrics/instrumentations/count_users_creating_ci_builds_metric.rb'
    - 'ee/lib/gitlab/usage/metrics/instrumentations/license_metric.rb'
    - 'ee/lib/omni_auth/strategies/group_saml.rb'
    - 'ee/lib/sidebars/groups/menus/analytics_menu.rb'
    - 'ee/lib/sidebars/groups/menus/security_compliance_menu.rb'
    - 'ee/lib/tasks/geo.rake'
    - 'ee/lib/tasks/gitlab/geo.rake'
    - 'ee/lib/tasks/gitlab/seed/insights.rake'
    - 'ee/spec/factories/iterations.rb'
    - 'ee/spec/factories/vulnerabilities/external_issue_links.rb'
    - 'ee/spec/features/boards/user_visits_board_spec.rb'
    - 'ee/spec/finders/custom_project_templates_finder_spec.rb'
    - 'ee/spec/finders/security/findings_finder_spec.rb'
    - 'ee/spec/finders/security/pipeline_vulnerabilities_finder_spec.rb'
    - 'ee/spec/helpers/ee/users/callouts_helper_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/data_collector_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/search_results_spec.rb'
    - 'ee/spec/lib/gitlab/geo/replication/blob_downloader_spec.rb'
    - 'ee/spec/models/concerns/elastic/note_spec.rb'
    - 'ee/spec/models/geo_node_status_spec.rb'
    - 'ee/spec/models/push_rule_spec.rb'
    - 'ee/spec/services/licenses/destroy_service_spec.rb'
    - 'ee/spec/services/merge_requests/merge_service_spec.rb'
    - 'ee/spec/services/merge_trains/create_pipeline_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_merge_request_service_spec.rb'
    - 'ee/spec/support/helpers/ee/ldap_helpers.rb'
    - 'ee/spec/support/helpers/feature_approval_helper.rb'
    - 'ee/spec/support/helpers/search_results_helpers.rb'
    - 'ee/spec/support/http_io/http_io_helpers.rb'
    - 'ee/spec/workers/elastic/migration_worker_spec.rb'
    - 'lib/api/api_guard.rb'
    - 'lib/api/boards_responses.rb'
    - 'lib/api/branches.rb'
    - 'lib/api/ci/helpers/runner.rb'
    - 'lib/api/ci/pipeline_schedules.rb'
    - 'lib/api/ci/runner.rb'
    - 'lib/api/ci/runners.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/debian_project_packages.rb'
    - 'lib/api/deployments.rb'
    - 'lib/api/discussions.rb'
    - 'lib/api/entities/feature.rb'
    - 'lib/api/entities/member_access.rb'
    - 'lib/api/entities/project_import_status.rb'
    - 'lib/api/feature_flags.rb'
    - 'lib/api/files.rb'
    - 'lib/api/groups.rb'
    - 'lib/api/helm_packages.rb'
    - 'lib/api/helpers.rb'
    - 'lib/api/helpers/common_helpers.rb'
    - 'lib/api/helpers/file_upload_helpers.rb'
    - 'lib/api/helpers/headers_helpers.rb'
    - 'lib/api/helpers/label_helpers.rb'
    - 'lib/api/helpers/members_helpers.rb'
    - 'lib/api/helpers/packages/basic_auth_helpers.rb'
    - 'lib/api/helpers/packages/conan/api_helpers.rb'
    - 'lib/api/helpers/packages/dependency_proxy_helpers.rb'
    - 'lib/api/helpers/projects_helpers.rb'
    - 'lib/api/helpers/version.rb'
    - 'lib/api/helpers/web_hooks_helpers.rb'
    - 'lib/api/internal/base.rb'
    - 'lib/api/internal/container_registry/migration.rb'
    - 'lib/api/internal/error_tracking.rb'
    - 'lib/api/invitations.rb'
    - 'lib/api/maven_packages.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/nuget_project_packages.rb'
    - 'lib/api/pages_domains.rb'
    - 'lib/api/project_snippets.rb'
    - 'lib/api/projects.rb'
    - 'lib/api/projects_relation_builder.rb'
    - 'lib/api/protected_branches.rb'
    - 'lib/api/pypi_packages.rb'
    - 'lib/api/remote_mirrors.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/rubygem_packages.rb'
    - 'lib/api/settings.rb'
    - 'lib/api/snippets.rb'
    - 'lib/api/tags.rb'
    - 'lib/api/terraform/modules/v1/packages.rb'
    - 'lib/api/users.rb'
    - 'lib/backup/gitaly_backup.rb'
    - 'lib/backup/manager.rb'
    - 'lib/banzai/filter/base_sanitization_filter.rb'
    - 'lib/banzai/filter/external_link_filter.rb'
    - 'lib/banzai/filter/gollum_tags_filter.rb'
    - 'lib/banzai/filter/markdown_post_escape_filter.rb'
    - 'lib/banzai/filter/playable_link_filter.rb'
    - 'lib/banzai/filter/references/commit_reference_filter.rb'
    - 'lib/banzai/filter/references/label_reference_filter.rb'
    - 'lib/banzai/filter/references/milestone_reference_filter.rb'
    - 'lib/banzai/filter/repository_link_filter.rb'
    - 'lib/banzai/filter/upload_link_filter.rb'
    - 'lib/banzai/filter/wiki_link_filter.rb'
    - 'lib/banzai/object_renderer.rb'
    - 'lib/banzai/reference_parser/base_parser.rb'
    - 'lib/banzai/renderer.rb'
    - 'lib/bitbucket_server/representation/pull_request_comment.rb'
    - 'lib/bulk_imports/common/pipelines/uploads_pipeline.rb'
    - 'lib/bulk_imports/groups/loaders/group_loader.rb'
    - 'lib/container_registry/base_client.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/feature/definition.rb'
    - 'lib/file_size_validator.rb'
    - 'lib/generators/gitlab/usage_metric_generator.rb'
    - 'lib/gitlab/analytics/cycle_analytics/aggregated/records_fetcher.rb'
    - 'lib/gitlab/analytics/cycle_analytics/request_params.rb'
    - 'lib/gitlab/application_context.rb'
    - 'lib/gitlab/auth.rb'
    - 'lib/gitlab/auth/auth_finders.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/auth/ldap/authentication.rb'
    - 'lib/gitlab/authorized_keys.rb'
    - 'lib/gitlab/background_migration/fix_vulnerability_occurrences_with_hashes_as_raw_metadata.rb'
    - 'lib/gitlab/background_migration/project_namespaces/backfill_project_namespaces.rb'
    - 'lib/gitlab/background_migration/reset_duplicate_ci_runners_token_encrypted_values_on_projects.rb'
    - 'lib/gitlab/bare_repository_import/importer.rb'
    - 'lib/gitlab/bare_repository_import/repository.rb'
    - 'lib/gitlab/bullet/exclusions.rb'
    - 'lib/gitlab/cache/ci/project_pipeline_status.rb'
    - 'lib/gitlab/changelog/config.rb'
    - 'lib/gitlab/checks/branch_check.rb'
    - 'lib/gitlab/checks/diff_check.rb'
    - 'lib/gitlab/checks/lfs_check.rb'
    - 'lib/gitlab/checks/matching_merge_request.rb'
    - 'lib/gitlab/checks/push_check.rb'
    - 'lib/gitlab/checks/push_file_count_check.rb'
    - 'lib/gitlab/checks/tag_check.rb'
    - 'lib/gitlab/ci/ansi2html.rb'
    - 'lib/gitlab/ci/ansi2json/converter.rb'
    - 'lib/gitlab/ci/ansi2json/style.rb'
    - 'lib/gitlab/ci/build/artifacts/metadata.rb'
    - 'lib/gitlab/ci/build/artifacts/path.rb'
    - 'lib/gitlab/ci/build/policy/kubernetes.rb'
    - 'lib/gitlab/ci/config.rb'
    - 'lib/gitlab/ci/config/entry/caches.rb'
    - 'lib/gitlab/ci/config/entry/environment.rb'
    - 'lib/gitlab/ci/config/entry/includes.rb'
    - 'lib/gitlab/ci/config/entry/job.rb'
    - 'lib/gitlab/ci/config/entry/jobs.rb'
    - 'lib/gitlab/ci/config/entry/needs.rb'
    - 'lib/gitlab/ci/config/entry/policy.rb'
    - 'lib/gitlab/ci/config/entry/product/matrix.rb'
    - 'lib/gitlab/ci/config/extendable/entry.rb'
    - 'lib/gitlab/ci/config/external/file/base.rb'
    - 'lib/gitlab/ci/config/external/file/template.rb'
    - 'lib/gitlab/ci/config/normalizer.rb'
    - 'lib/gitlab/ci/parsers/coverage/sax_document.rb'
    - 'lib/gitlab/ci/parsers/security/common.rb'
    - 'lib/gitlab/ci/pipeline/chain/populate.rb'
    - 'lib/gitlab/ci/pipeline/chain/seed.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/abilities.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/repository.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/base.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexer.rb'
    - 'lib/gitlab/ci/pipeline/seed/build.rb'
    - 'lib/gitlab/ci/reports/security/finding.rb'
    - 'lib/gitlab/ci/runner/backoff.rb'
    - 'lib/gitlab/ci/runner_instructions.rb'
    - 'lib/gitlab/ci/runner_releases.rb'
    - 'lib/gitlab/ci/runner_upgrade_check.rb'
    - 'lib/gitlab/ci/status/composite.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/ci/trace/chunked_io.rb'
    - 'lib/gitlab/ci/trace/metrics.rb'
    - 'lib/gitlab/ci/variables/builder.rb'
    - 'lib/gitlab/ci/yaml_processor.rb'
    - 'lib/gitlab/config/entry/simplifiable.rb'
    - 'lib/gitlab/config/entry/validatable.rb'
    - 'lib/gitlab/config/entry/validators.rb'
    - 'lib/gitlab/conflict/file.rb'
    - 'lib/gitlab/content_security_policy/config_loader.rb'
    - 'lib/gitlab/cross_project_access/check_info.rb'
    - 'lib/gitlab/data_builder/deployment.rb'
    - 'lib/gitlab/data_builder/pipeline.rb'
    - 'lib/gitlab/database/as_with_materialized.rb'
    - 'lib/gitlab/database/background_migration/batched_job.rb'
    - 'lib/gitlab/database/background_migration/batched_migration_wrapper.rb'
    - 'lib/gitlab/database/batch_counter.rb'
    - 'lib/gitlab/database/migration_helpers.rb'
    - 'lib/gitlab/database/migration_helpers/cascading_namespace_settings.rb'
    - 'lib/gitlab/database/migration_helpers/v2.rb'
    - 'lib/gitlab/database/migrations/background_migration_helpers.rb'
    - 'lib/gitlab/database/migrations/batched_background_migration_helpers.rb'
    - 'lib/gitlab/database/partitioning/detached_partition_dropper.rb'
    - 'lib/gitlab/database/partitioning/monthly_strategy.rb'
    - 'lib/gitlab/database/partitioning/time_partition.rb'
    - 'lib/gitlab/database/reindexing.rb'
    - 'lib/gitlab/database/reindexing/reindex_concurrently.rb'
    - 'lib/gitlab/database/transaction/observer.rb'
    - 'lib/gitlab/database/with_lock_retries.rb'
    - 'lib/gitlab/email/handler/service_desk_handler.rb'
    - 'lib/gitlab/email/message/in_product_marketing/base.rb'
    - 'lib/gitlab/email/message/repository_push.rb'
    - 'lib/gitlab/email/receiver.rb'
    - 'lib/gitlab/email/reply_parser.rb'
    - 'lib/gitlab/encrypted_command_base.rb'
    - 'lib/gitlab/encrypted_configuration.rb'
    - 'lib/gitlab/endpoint_attributes/config.rb'
    - 'lib/gitlab/error_tracking/context_payload_generator.rb'
    - 'lib/gitlab/error_tracking/processor/sidekiq_processor.rb'
    - 'lib/gitlab/etag_caching/middleware.rb'
    - 'lib/gitlab/event_store/event.rb'
    - 'lib/gitlab/exception_log_formatter.rb'
    - 'lib/gitlab/external_authorization/client.rb'
    - 'lib/gitlab/fogbugz_import/importer.rb'
    - 'lib/gitlab/gfm/reference_rewriter.rb'
    - 'lib/gitlab/git/compare.rb'
    - 'lib/gitlab/git/diff_collection.rb'
    - 'lib/gitlab/git/merge_base.rb'
    - 'lib/gitlab/git/push.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/git/rugged_impl/tree.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/git_access_project.rb'
    - 'lib/gitlab/git_access_snippet.rb'
    - 'lib/gitlab/gitaly_client.rb'
    - 'lib/gitlab/gitaly_client/blob_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/repository_service.rb'
    - 'lib/gitlab/github_import/client.rb'
    - 'lib/gitlab/github_import/importer/pull_request_review_importer.rb'
    - 'lib/gitlab/github_import/representation/issue.rb'
    - 'lib/gitlab/gitlab_import/client.rb'
    - 'lib/gitlab/gitlab_import/importer.rb'
    - 'lib/gitlab/golang.rb'
    - 'lib/gitlab/graphql/pagination/keyset/connection.rb'
    - 'lib/gitlab/graphql/queries.rb'
    - 'lib/gitlab/hashed_storage/rake_helper.rb'
    - 'lib/gitlab/hotlinking_detector.rb'
    - 'lib/gitlab/http.rb'
    - 'lib/gitlab/http_io.rb'
    - 'lib/gitlab/i18n/po_linter.rb'
    - 'lib/gitlab/import/import_failure_service.rb'
    - 'lib/gitlab/import/merge_request_creator.rb'
    - 'lib/gitlab/import_export/after_export_strategies/web_upload_strategy.rb'
    - 'lib/gitlab/import_export/base/relation_factory.rb'
    - 'lib/gitlab/import_export/fast_hash_serializer.rb'
    - 'lib/gitlab/import_export/group/tree_restorer.rb'
    - 'lib/gitlab/import_export/merge_request_parser.rb'
    - 'lib/gitlab/import_export/project/export_task.rb'
    - 'lib/gitlab/import_export/project/relation_factory.rb'
    - 'lib/gitlab/import_export/project/tree_restorer.rb'
    - 'lib/gitlab/instrumentation/rate_limiting_gates.rb'
    - 'lib/gitlab/jira_import.rb'
    - 'lib/gitlab/jira_import/base_importer.rb'
    - 'lib/gitlab/legacy_github_import/client.rb'
    - 'lib/gitlab/legacy_github_import/issuable_formatter.rb'
    - 'lib/gitlab/legacy_github_import/project_creator.rb'
    - 'lib/gitlab/lograge/custom_options.rb'
    - 'lib/gitlab/mail_room.rb'
    - 'lib/gitlab/mail_room/authenticator.rb'
    - 'lib/gitlab/manifest_import/manifest.rb'
    - 'lib/gitlab/marginalia.rb'
    - 'lib/gitlab/markdown_cache/field_data.rb'
    - 'lib/gitlab/metrics/dashboard/finder.rb'
    - 'lib/gitlab/metrics/dashboard/importer.rb'
    - 'lib/gitlab/metrics/dashboard/stages/cluster_endpoint_inserter.rb'
    - 'lib/gitlab/metrics/dashboard/stages/metric_endpoint_inserter.rb'
    - 'lib/gitlab/metrics/dashboard/stages/variable_endpoint_inserter.rb'
    - 'lib/gitlab/metrics/methods.rb'
    - 'lib/gitlab/metrics/subscribers/rack_attack.rb'
    - 'lib/gitlab/metrics/web_transaction.rb'
    - 'lib/gitlab/middleware/compressed_json.rb'
    - 'lib/gitlab/middleware/multipart.rb'
    - 'lib/gitlab/middleware/same_site_cookies.rb'
    - 'lib/gitlab/object_hierarchy.rb'
    - 'lib/gitlab/omniauth_initializer.rb'
    - 'lib/gitlab/pages/deployment_update.rb'
    - 'lib/gitlab/pagination/keyset/in_operator_optimization/query_builder.rb'
    - 'lib/gitlab/patch/database_config.rb'
    - 'lib/gitlab/patch/prependable.rb'
    - 'lib/gitlab/popen.rb'
    - 'lib/gitlab/query_limiting/active_support_subscriber.rb'
    - 'lib/gitlab/quick_actions/extractor.rb'
    - 'lib/gitlab/quick_actions/issuable_actions.rb'
    - 'lib/gitlab/quick_actions/issue_and_merge_request_actions.rb'
    - 'lib/gitlab/rack_attack.rb'
    - 'lib/gitlab/redis/wrapper.rb'
    - 'lib/gitlab/runtime.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/sanitizers/svg.rb'
    - 'lib/gitlab/search/params.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/search_results.rb'
    - 'lib/gitlab/sidekiq_config.rb'
    - 'lib/gitlab/sidekiq_config/cli_methods.rb'
    - 'lib/gitlab/sidekiq_config/worker_router.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/strategies/deduplicates_when_scheduling.rb'
    - 'lib/gitlab/sidekiq_middleware/extra_done_log_metadata.rb'
    - 'lib/gitlab/sidekiq_middleware/server_metrics.rb'
    - 'lib/gitlab/slash_commands/presenters/issue_show.rb'
    - 'lib/gitlab/suggestions/suggestion_set.rb'
    - 'lib/gitlab/template_parser/eval_state.rb'
    - 'lib/gitlab/untrusted_regexp.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'lib/gitlab/usage_data_counters/base_counter.rb'
    - 'lib/gitlab/usage_data_counters/hll_redis_counter.rb'
    - 'lib/gitlab/utils.rb'
    - 'lib/gitlab/utils/delegator_override.rb'
    - 'lib/gitlab/utils/override.rb'
    - 'lib/gitlab/view/presenter/delegated.rb'
    - 'lib/google_api/auth.rb'
    - 'lib/mattermost/client.rb'
    - 'lib/mattermost/session.rb'
    - 'lib/microsoft_teams/notifier.rb'
    - 'lib/sidebars/groups/menus/packages_registries_menu.rb'
    - 'lib/sidebars/menu.rb'
    - 'lib/sidebars/projects/menus/ci_cd_menu.rb'
    - 'lib/sidebars/projects/menus/packages_registries_menu.rb'
    - 'lib/sidebars/projects/menus/security_compliance_menu.rb'
    - 'lib/sidebars/projects/menus/settings_menu.rb'
    - 'lib/system_check/app/systemd_unit_files_or_init_script_up_to_date_check.rb'
    - 'lib/system_check/init_helpers.rb'
    - 'lib/tasks/cleanup.rake'
    - 'lib/tasks/eslint.rake'
    - 'lib/tasks/gitlab/assets.rake'
    - 'lib/tasks/gitlab/cleanup.rake'
    - 'lib/tasks/gitlab/info.rake'
    - 'lib/tasks/gitlab/packages/migrate.rake'
    - 'lib/tasks/gitlab/seed.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/sidekiq.rake'
    - 'lib/tasks/gitlab/snippets.rake'
    - 'lib/tasks/gitlab/storage.rake'
    - 'lib/tasks/gitlab/update_templates.rake'
    - 'qa/qa/ee/resource/settings/elasticsearch.rb'
    - 'qa/qa/page/component/snippet.rb'
    - 'qa/qa/page/element.rb'
    - 'qa/qa/page/mattermost/login.rb'
    - 'qa/qa/page/page_concern.rb'
    - 'qa/qa/page/project/settings/deploy_tokens.rb'
    - 'qa/qa/page/project/web_ide/edit.rb'
    - 'qa/qa/page/view.rb'
    - 'qa/qa/resource/registry_repository.rb'
    - 'qa/qa/resource/repository/push.rb'
    - 'qa/qa/resource/snippet.rb'
    - 'qa/qa/runtime/ip_address.rb'
    - 'qa/qa/scenario/bootable.rb'
    - 'qa/qa/service/praefect_manager.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/merge_when_pipeline_succeeds_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/nuget/nuget_group_level_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_ldap_sync_spec.rb'
    - 'qa/qa/specs/helpers/context_selector.rb'
    - 'qa/qa/specs/parallel_runner.rb'
    - 'qa/qa/tools/delete_projects.rb'
    - 'qa/qa/tools/delete_user_projects.rb'
    - 'qa/qa/tools/generate_perf_testdata.rb'
    - 'rubocop/cop/api/grape_array_missing_coerce.rb'
    - 'rubocop/cop/avoid_keyword_arguments_in_sidekiq_workers.rb'
    - 'rubocop/cop/gitlab/event_store_subscriber.rb'
    - 'rubocop/cop/gitlab/mark_used_feature_flags.rb'
    - 'rubocop/cop/gitlab/policy_rule_boolean.rb'
    - 'rubocop/cop/ignored_columns.rb'
    - 'rubocop/cop/migration/add_limit_to_text_columns.rb'
    - 'rubocop/cop/migration/add_reference.rb'
    - 'rubocop/cop/migration/remove_column.rb'
    - 'rubocop/cop/migration/sidekiq_queue_migrate.rb'
    - 'rubocop/routes_under_scope.rb'
    - 'scripts/review_apps/automated_cleanup.rb'
    - 'scripts/setup/find-jh-branch.rb'
    - 'scripts/static-analysis'
    - 'sidekiq_cluster/cli.rb'
    - 'spec/components/previews/pajamas/alert_component_preview.rb'
    - 'spec/components/previews/pajamas/card_component_preview.rb'
    - 'spec/factories/ci/runners.rb'
    - 'spec/factories/container_repositories.rb'
    - 'spec/factories/deployments.rb'
    - 'spec/factories/labels.rb'
    - 'spec/factories/merge_requests.rb'
    - 'spec/factories/namespaces.rb'
    - 'spec/factories/packages/packages.rb'
    - 'spec/factories/projects.rb'
    - 'spec/factories/protected_tags.rb'
    - 'spec/factories/users.rb'
    - 'spec/features/merge_request/batch_comments_spec.rb'
    - 'spec/features/merge_request/user_sees_avatar_on_diff_notes_spec.rb'
    - 'spec/features/projects/blobs/edit_spec.rb'
    - 'spec/features/projects/tree/create_directory_spec.rb'
    - 'spec/features/projects/tree/create_file_spec.rb'
    - 'spec/graphql/mutations/releases/update_spec.rb'
    - 'spec/lib/container_registry/gitlab_api_client_spec.rb'
    - 'spec/lib/gitlab/config/entry/validators/nested_array_helpers_spec.rb'
    - 'spec/lib/gitlab/conflict/file_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing_spec.rb'
    - 'spec/lib/gitlab/rack_attack/user_allowlist_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config/worker_router_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/server_metrics_spec.rb'
    - 'spec/lib/gitlab/sidekiq_migrate_jobs_spec.rb'
    - 'spec/lib/mattermost/session_spec.rb'
    - 'spec/lib/object_storage/direct_upload_spec.rb'
    - 'spec/models/concerns/limitable_spec.rb'
    - 'spec/models/container_repository_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/snippet_input_action_spec.rb'
    - 'spec/policies/project_statistics_policy_spec.rb'
    - 'spec/requests/api/ci/jobs_spec.rb'
    - 'spec/requests/api/commit_statuses_spec.rb'
    - 'spec/requests/api/commits_spec.rb'
    - 'spec/requests/api/files_spec.rb'
    - 'spec/requests/api/integrations_spec.rb'
    - 'spec/requests/users_controller_spec.rb'
    - 'spec/routing/import_routing_spec.rb'
    - 'spec/serializers/issue_sidebar_basic_entity_spec.rb'
    - 'spec/services/application_settings/update_service_spec.rb'
    - 'spec/services/git/process_ref_changes_service_spec.rb'
    - 'spec/services/members/destroy_service_spec.rb'
    - 'spec/services/notification_recipients/builder/default_spec.rb'
    - 'spec/services/packages/debian/update_distribution_service_spec.rb'
    - 'spec/services/packages/maven/find_or_create_package_service_spec.rb'
    - 'spec/services/packages/maven/metadata/append_package_file_service_spec.rb'
    - 'spec/services/packages/maven/metadata/sync_service_spec.rb'
    - 'spec/services/projects/create_service_spec.rb'
    - 'spec/spec_helper.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/external_authorization_service_helpers.rb'
    - 'spec/support/flaky_tests.rb'
    - 'spec/support/generate-seed-repo-rb'
    - 'spec/support/helpers/filter_spec_helper.rb'
    - 'spec/support/helpers/filtered_search_helpers.rb'
    - 'spec/support/helpers/gitaly_setup.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/javascript_fixtures_helpers.rb'
    - 'spec/support/helpers/lets_encrypt_helpers.rb'
    - 'spec/support/helpers/live_debugger.rb'
    - 'spec/support/helpers/modal_helpers.rb'
    - 'spec/support/helpers/stub_gitlab_calls.rb'
    - 'spec/support/helpers/stubbed_feature.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/http_io/http_io_helpers.rb'
    - 'spec/support/import_export/project_tree_expectations.rb'
    - 'spec/support/matchers/abort_matcher.rb'
    - 'spec/support/services/service_response_shared_examples.rb'
    - 'spec/support/shared_contexts/requests/api/debian_repository_shared_context.rb'
    - 'spec/support/shared_examples/controllers/issuables_list_metadata_shared_examples.rb'
    - 'spec/support/shared_examples/features/discussion_comments_shared_example.rb'
    - 'spec/support/shared_examples/helpers/issuable_description_templates_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/import_export/project/tree_restorer_shared_examples.rb'
    - 'spec/support/shared_examples/metrics/active_record_subscriber_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/debian_distributions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/debian_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/status_shared_examples.rb'
    - 'spec/support/shared_examples/sends_git_audit_streaming_event_shared_examples.rb'
    - 'spec/support/shared_examples/views/pipeline_status_changes_email.rb'
    - 'spec/support/shared_examples/views/registration_features_prompt_shared_examples.rb'
    - 'spec/support/shared_examples/workers/batched_background_migration_worker_shared_examples.rb'
    - 'spec/support/webmock.rb'
    - 'spec/views/profiles/keys/_key.html.haml_spec.rb'
    - 'spec/workers/analytics/usage_trends/counter_job_worker_spec.rb'
    - 'tooling/danger/product_intelligence.rb'
    - 'tooling/lib/tooling/find_codeowners.rb'
    - 'tooling/lib/tooling/image.rb'
    - 'tooling/lib/tooling/test_map_packer.rb'
    - 'tooling/rspec_flaky/flaky_example.rb'
    - 'tooling/rspec_flaky/flaky_examples_collection.rb'
